<?php
/**
 * Single Product Thumbnails
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.3.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $product, $woocommerce, $gp_settings, $dirname;

$attachment_ids = $product->get_gallery_attachment_ids();

if ( $attachment_ids ) {
	$loop 		= 0;
	$columns 	= apply_filters( 'woocommerce_product_thumbnails_columns', 3 );
	?>
	<div class="thumbnails <?php echo 'columns-' . $columns; ?>"><?php

		foreach ( $attachment_ids as $attachment_id ) {

			$classes = array( 'zoom' );

			if($gp_settings['image_effect'] == "Zoom") {
				$classes = array( 'czoom' );
			} else {	
				$classes = array( '' );
			}
			
			if ( $loop == 0 || $loop % $columns == 0 )
				$classes[] = 'first';

			if ( ( $loop + 1 ) % $columns == 0 )
				$classes[] = 'last';

			if(get_post_meta($attachment_id, '_'.$dirname.'_lightbox_url', true)) {
				$image_link = 'file='.get_post_meta($attachment_id, '_'.$dirname.'_lightbox_url', true);
			} else {
				$image_link = wp_get_attachment_url( $attachment_id );
			}
			
			if ( ! $image_link )
				continue;

			$image       = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ) );
			$image_class = esc_attr( implode( ' ', $classes ) );
			$image_title = esc_attr( get_the_title( $attachment_id ) );
	
			if($gp_settings['image_effect'] == "Lightbox") {
				$pi_lightbox = 'rel="prettyPhoto[product-gallery]"';
			} else {
				$pi_lightbox = '';
			}
			
			echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', sprintf( '<a href="%s" class="%s" title="%s"  '.$pi_lightbox.'>%s</a>', $image_link, $image_class, $image_title, $image ), $attachment_id, $post->ID, $image_class );

			$loop++;
		}

	?></div>
	<?php
}